Index: git_cl/test/post-dcommit-hook-test.sh |
=================================================================== |
--- git_cl/test/post-dcommit-hook-test.sh (revision 0) |
+++ git_cl/test/post-dcommit-hook-test.sh (revision 0) |
@@ -0,0 +1,37 @@ |
+#!/bin/bash |
+ |
+set -e |
+ |
+. ./test-lib.sh |
+ |
+setup_initsvn |
+setup_gitsvn |
+ |
+( |
+ set -e |
+ cd git-svn |
+ |
+ cat > .git/hooks/post-cl-dcommit << _EOF |
+#!/bin/bash |
+git branch -m COMMITTED |
+_EOF |
+ chmod +x .git/hooks/post-cl-dcommit |
+ |
+ git config rietveld.server localhost:1 |
+ git checkout -q --track -b work |
+ echo "some work done" >> test |
+ git add test; git commit -q -m "work" |
+ |
+ test_expect_success "dcommitted code" \ |
+ "$GIT_CL dcommit -f --tbr --bypass-hooks -m 'dcommit'" |
+ |
+ test_expect_success "post-cl-dcommit hook executed" \ |
+ "git symbolic-ref HEAD | grep -q COMMITTED" |
+) |
+SUCCESS=$? |
+ |
+cleanup |
+ |
+if [ $SUCCESS == 0 ]; then |
+ echo PASS |
+fi |
Property changes on: git_cl/test/post-dcommit-hook-test.sh |
___________________________________________________________________ |
Added: svn:executable |
+ * |
Added: svn:eol-style |
+ LF |